## debootstrap 0.1.17.7woody1

=== Makefile ===
CC=gcc
CFLAGS=-Wall -W -O2

ARCH := $(shell dpkg --print-architecture)
setarchdevs = $(if $(findstring $(ARCH),$(1)),$(2))

DEVS := generic hde hdf hdg hdh sde sdf sdg sdh scd-all initrd input usb md lp rtc \
        $(call setarchdevs,i386,isdn-io eda edb sonycd mcd mcdx cdu535 \
                                optcd sjcd cm206cd gscd lmscd sbpcd \
                                aztcd bpcd dac960 ida fd0 fd1 ataraid cciss) \
        $(call setarchdevs,sparc,hdc hdd busmice) \
        $(call setarchdevs,m68k,fd0 fd1 adc add ade adf hdc hdd) \
        $(call setarchdevs,powerpc,hdc hdd fd0 fd1 isdn-io m68k-mice)

all: pkgdetails devices.tar.gz debootstrap-arch
clean:
	rm -f pkgdetails pkgdetails.o devices.tar.gz debootstrap-arch
	rm -rf dev

DSDIR=$(DESTDIR)/usr/lib/debootstrap
install:
	mkdir -p $(DSDIR)/scripts
	mkdir -p $(DESTDIR)/usr/sbin
	mkdir -p $(DESTDIR)/usr/share/man/man8
	install -o root -g root -m 0644 slink $(DSDIR)/scripts/
	install -o root -g root -m 0644 potato $(DSDIR)/scripts/
	install -o root -g root -m 0644 woody $(DSDIR)/scripts/
	install -o root -g root -m 0644 sarge $(DSDIR)/scripts/
	install -o root -g root -m 0644 sid $(DSDIR)/scripts/
	install -o root -g root -m 0644 functions $(DSDIR)/
	install -o root -g root -m 0755 pkgdetails $(DSDIR)/
	install -o root -g root -m 0644 devices.tar.gz $(DSDIR)/
	install -o root -g root -m 0644 debootstrap-arch $(DSDIR)/arch
	install -o root -g root -m 0755 debootstrap.8 $(DESTDIR)/usr/share/man/man8/
	install -o root -g root -m 0755 debootstrap $(DESTDIR)/usr/sbin/

pkgdetails: pkgdetails.o
	$(CC) -o $@ $^

debootstrap-arch:
	echo $(ARCH) >debootstrap-arch

devices.tar.gz:
	rm -rf dev

	mkdir -p dev
	chown 0.0 dev
	chmod 755 dev

	(cd dev && /sbin/MAKEDEV $(DEVS))

ifeq ($(ARCH),powerpc)
#	Maybe remove amiga/atari mice also? What about usbmouse?
	rm -f dev/adbmouse
	ln -sf input/mice dev/mouse
	ln -sf input/js0 dev/js0
	ln -sf input/js1 dev/js1
endif

	@if ! find dev -maxdepth 0 -perm 755 -uid 0 -gid 0 | \
	        grep -q "^dev$$"; \
	then \
	   echo "======================================================="; \
	   echo "ERROR"; echo; \
	   echo "./dev has bad permissions! should be 755 root.root. Was:"; \
	   ls -ld ./dev; \
	   echo "======================================================="; \
	   false; \
	fi

	tar cf - dev | gzip -9 >devices.tar.gz
	rm -rf dev

=== debian/changelog ===
debootstrap (0.1.17.7woody1) stable; urgency=medium

  * NMU
  * Rebuild of 0.1.17.8 for woody to pull in race condition fix and missing
    package dependency fixes, among others.
  * NMU versioned the way it is so that dpkg doesn't think 0.1.17.[1-7] is
    newer than this release, but "upgrades" (actually sidegrades) to 0.1.17.8
    are still straightforward.

 -- Branden Robinson <branden@progeny.com>  Thu, 29 Aug 2002 21:39:09 +0000

debootstrap (0.1.17.8) unstable; urgency=low

  * NMU
  * The "it didn't change the way the installer worked" release.
  * Makefile: create $(DESTDIR)/usr/share/man/man8 before attempting to
    install a file to it (Closes: #139543)
  * functions: fix race condition in smallyes() implementation; thanks to Matt
    Zimmerman for the analysis.  "Sometimes, dpkg finishes executing before
    smallyes runs, and it loops forever while echo fails repeatedly due to the
    broken pipe."  To fix this race, we simply swap the loop condition and
    body, so that if the echo fails, smallyes() exits cleanly.  I further
    changed "true" to ":" to save the expense of an extra process for shells
    where "true" is not a built-in.
    (Closes: #139529)

 -- Branden Robinson <branden@progeny.com>  Thu, 29 Aug 2002 12:50:08 -0500

debootstrap (0.1.17.7) unstable; urgency=low

  * NMU
  * Forked "sid" target from "sarge" target, changed "libcap0" to the now
    current "libpcap0.7" and verified that the result works with pbuilder.
    (Closes: #156574)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 21 Aug 2002 11:01:52 +0200

debootstrap (0.1.17.6) unstable; urgency=low

  * NMU
  * add dselect to required (I found out that it is actually required
    for pbuilder create to work) (closes: #154527)
  * change DEBIAN_FRONTEND=Noninteractive to "noninteractive" (closes: #154794)
  * add sh* patch from Yaegashi (closes: #155142)

 -- Junichi Uekawa <dancer@debian.org>  Thu,  8 Aug 2002 19:23:04 +0900

debootstrap (0.1.17.5) unstable; urgency=low

  * NMU
  * mistake in the last upload, sorry aj.
    sid points to sarge, not woody. (closes: #149971)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 27 Jul 2002 17:22:05 +0900

debootstrap (0.1.17.4) unstable; urgency=low

  * NMU
  * add "sarge" target (closes: #153957)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 23 Jul 2002 18:03:01 +0900

debootstrap (0.1.17.3) unstable; urgency=low

  * NMU
  * Depend on binutils (closes: #138489)
  * Sleep is optional (closes: #150468)
  * POSIXify a bit more (closes: #150487)
  * Add support for --components (closes: #116801)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 20 Jun 2002 00:13:06 +0200

debootstrap (0.1.17.2) unstable; urgency=low

  * NMU
  * Make sid script not a symlink from woody script
  * add aptitude and libsigc++0 to base for sid. (closes: #149971)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 15 Jun 2002 12:46:11 +0900

debootstrap (0.1.17.1) unstable; urgency=low

  * NMU
  * Add udeb support (closes: #143874)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 28 May 2002 14:15:41 +0200

debootstrap (0.1.17) unstable; urgency=high

  * Includes changes from NMUs. Thanks to Stefan Gybas and Eduard Bloch.
    (Closes: Bug#130764, Bug#135676, Bug#134306, Bug#133882, Bug#131768,
    Bug#117980, Bug#133298, Bug#130668, Bug#111175, Bug#131147, Bug#95143,
    Bug#130482)

  * Don't use PIPESTATUS to work out if wget succeeded, since that's a
    bashism and we're seriously not allowed bashisms. Duh. This should
    help with all those "Malformed release" problems. Thanks to Phil
    Blundell and Chris Tillman for spotting this. (Closes: Bug#136729)

  * Apply patch from Matt Zimmerman to get rid of some irritating warnings
    that can show up sometimes due to sed getting it's output stream closed
    on it. (Closes: Bug#131478)

  * Don't use "export foo=bar" on a single line since it's a bashism.
    (Closes: Bug#138187)

  * Made the "smallyes" usage independent of --boot-floppies. Too much
    code duplication otherwise.

  * Install ipchains on arches that have 2.2.x kernels by default, and
    iptables on arches that have 2.4.x kernels by default. Some arches
    have both. (Closes: Bug#134478)

  * Don't rm malformed Release files, rename them to something obvious
    instead so people can have a hope at seeing what's going on. (Closes:
    Bug#131756)

  * Error out on missing entries in Release files. (Closes: Bug#136886)

  * Fix basedeb creation to not bother building devices tarball. (Closes:
    Bug#137243)

  * Workaround for ldconfig no longer needed, so removed. (Closes: Bug#135819)
  * Workaround for /dev/initctl was never needed and stupid, so removed.

  * Make sure devices.tar.gz is gzip -9'ed. (Closes: Bug#136687)

  * Use any "main" components found in Release file, eg "main",
    "non-US/main", "local/main". (Closes: Bug#116801)

  * Add parted to base for ia64. (Closes: Bug#138246)

  * Moved the "successful!" message and sleep hack for boot-floppies from
    the woody script to the debootstrap script itself.

 -- Anthony Towns <aj@azure.humbug.org.au>  Thu, 14 Mar 2002 18:28:24 +1000

debootstrap (0.1.16.4) unstable; urgency=low

  * NMU, needed for boot-floppies 3.0.20
  * Added cciss and ataraid device files, closes: #135675
  * Applied the patch from Matt Zimmermann to fix --include, closes: #134306
  * Mail suppression fixed in previous release, closes: #133882

 -- Eduard Bloch <blade@debian.org>  Sun,  3 Mar 2002 12:21:19 +0100

debootstrap (0.1.16.3) unstable; urgency=low

  * non-maintainer-upload
  * require newer makedev, fixes build problems on m86k and arm
  * unsets $TMP, $TEMP and $TMPDIR in the beginning, closes: #131768, #117980
  * added gcc-2.96-base to ia64's required packages list, closes: #133298

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Feb 2002 19:30:47 +0100

debootstrap (0.1.16.2) unstable; urgency=low

  * non-maintainer-upload
  * added modification suggested by Branden Robinson and Matt Kraai terminate


=== debian/control ===
Source: debootstrap
Section: admin
Priority: extra
Maintainer: Anthony Towns <ajt@debian.org>
Build-Depends: debhelper (>> 2.0.0), makedev (>= 2.3.1-58)
Standards-Version: 3.2.1

Package: debootstrap
Architecture: any
Depends: ${shlibs:Depends}, wget, binutils
Description: Bootstrap a basic Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.

Package: debootstrap-udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, retriever
Description: Bootstrap the Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.
 .
 debootstrap-udeb is a minimal package used by debian-installer.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VER  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
ARCH := $(shell dpkg --print-architecture)
FILENAME := debootstrap-udeb_$(VER)_$(ARCH).udeb

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure:
	dh_testdir

clean:
	dh_testdir

	-$(MAKE) clean

	dh_clean

build: configure
#	 need to be root to make devices, so build is done in install target

real-build: build
	dh_testdir
	dh_testroot

	$(MAKE) all

install: real-build
	dh_testdir
	dh_testroot

	dh_clean -k
	dh_installdirs

#	 install the package into debian/debootstrap
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap-udeb

binary-indep: install
# We have nothing to do by default.

ARCHES="i386"
SUITE="testing"
VERSION=$(SUITE)
MIRROR="http://ftp.debian.org/debian"

binary-basedebs:
	dh_testdir
	dh_testroot

	$(MAKE) pkgdetails

	ln -s . scripts
	for a in $(ARCHES); do \
	    rm -rf chroot-dir; \
	    mkdir -p chroot-dir; \
	    DEBOOTSTRAP_DIR=. ./debootstrap --arch $$a --download-only $(SUITE) chroot-dir $(MIRROR); \
	    (cd chroot-dir && tar cf ../../basedebs_$(VERSION)_$$a.tar *); \
	    rm -rf chroot-dir; \
	done
	rm -f scripts

binary-arch: install debootstrap-udeb
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb -pdebootstrap
#	dh_perl
	dh_shlibdeps -pdebootstrap
	dh_gencontrol -pdebootstrap
	dh_md5sums -pdebootstrap
	dh_builddeb -pdebootstrap

debootstrap-udeb: install
	dh_testdir
	dh_testroot
	-rm -rf debian/debootstrap-udeb/usr/share \
		debian/debootstrap-udeb/scripts/slink \
		debian/debootstrap-udeb/scripts/potato
	dh_strip -pdebootstrap-udeb
	dh_compress -pdebootstrap-udeb
	dh_fixperms -pdebootstrap-udeb
	dh_installdeb -pdebootstrap-udeb
	dh_shlibdeps -pdebootstrap-udeb
	dh_gencontrol -- -fdebian/debootstrap-udeb.files~
	dpkg-distaddfile $(FILENAME) debian-installer extra
	dh_md5sums -pdebootstrap-udeb
	dh_builddeb -pdebootstrap-udeb --filename=$(FILENAME) 

binary: binary-indep binary-arch
.PHONY: build real-build clean binary-indep binary-arch binary install configure binary-basedebs

## debootstrap 0.2.39ubuntu22

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,11 @@
 	install -o root -g root -m 0644 woody $(DSDIR)/scripts/
 	install -o root -g root -m 0644 sarge $(DSDIR)/scripts/
 	install -o root -g root -m 0644 sid $(DSDIR)/scripts/
+	install -o root -g root -m 0644 warty $(DSDIR)/scripts/
+	install -o root -g root -m 0644 woody.buildd $(DSDIR)/scripts/
+	install -o root -g root -m 0644 sarge.buildd $(DSDIR)/scripts/
+	install -o root -g root -m 0644 sid.buildd $(DSDIR)/scripts/
+	install -o root -g root -m 0644 warty.buildd $(DSDIR)/scripts/
 	install -o root -g root -m 0644 functions $(DSDIR)/
 	install -o root -g root -m 0755 pkgdetails $(DSDIR)/
 	install -o root -g root -m 0644 devices.tar.gz $(DSDIR)/
@@ -47,7 +52,7 @@
 	chown 0.0 dev
 	chmod 755 dev
 
-	(cd dev && /sbin/MAKEDEV $(DEVS))
+	(cd dev && /dev/MAKEDEV $(DEVS))
 
 ifeq ($(ARCH),powerpc)
 #	Maybe remove amiga/atari mice also? What about usbmouse?

=== debian/changelog ===
debootstrap (0.2.39ubuntu22) warty; urgency=low

  * [warty] Remove pcmcia-cs from Base.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 13 Oct 2004 00:02:10 +0100

debootstrap (0.2.39ubuntu21) warty; urgency=low

  * Install warty.buildd.

 -- Colin Watson <cjwatson@canonical.com>  Fri,  8 Oct 2004 13:13:54 +0100

debootstrap (0.2.39ubuntu20) warty; urgency=low

  * Fix typo in ia64 warty.buildd case, cleanup warty.buildd.
    Closes: Warty#1879

 -- LaMont Jones <lamont@canonical.com>  Tue,  5 Oct 2004 18:16:07 -0600

debootstrap (0.2.39ubuntu19) warty; urgency=low

  * [debootstrap] Set DEBCONF_ADMIN_EMAIL to the empty string, to stop
    debconf mailing notes to root.
  * [warty] Set DEBCONF_NONINTERACTIVE_SEEN to true, so that debconf sets
    the seen flag on questions that will otherwise be asked again on upgrade
    (Ubuntu #1781).

 -- Colin Watson <cjwatson@canonical.com>  Fri,  1 Oct 2004 12:11:12 +0100

debootstrap (0.2.39ubuntu18) warty; urgency=low

  * [warty, warty.base] s/libdns11/libdns16/g

 -- Matt Zimmerman <mdz@canonical.com>  Tue, 28 Sep 2004 01:52:18 -0700

debootstrap (0.2.39ubuntu17) warty; urgency=low

  * Add warty.buildd script

 -- LaMont Jones <lamont@mmjgroup.com>  Wed, 22 Sep 2004 15:16:34 -0600

debootstrap (0.2.39ubuntu16) warty; urgency=low

  * [warty] Add ubuntu-base to base.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 22 Sep 2004 18:28:15 +0100

debootstrap (0.2.39ubuntu15) warty; urgency=low

  * [warty] Remove binutils and ksymoops from base.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 21 Sep 2004 17:03:40 +0100

debootstrap (0.2.39ubuntu14) warty; urgency=low

  * [warty] Add alsa-base, alsa-utils, and libasound2 to base.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 12 Sep 2004 22:51:54 +0100

debootstrap (0.2.39ubuntu13) warty; urgency=low

  * [required-base.py] Rewrite to allow the whole base system to be
    generated from germinate output on multiple architectures, aiding
    maintainability. Overrides are still used for excludes and the required
    list.
  * [warty] Add libfribidi0. Move libreadline4 to per-architecture base list
    on amd64 and i386. Remove bootloaders, since it can be bad to install a
    bootloader you aren't using; the appropriate bootloader packages are
    installed by the d-i *-installer packages.

 -- Colin Watson <cjwatson@canonical.com>  Sat, 11 Sep 2004 01:50:21 +0100

debootstrap (0.2.39ubuntu12) warty; urgency=low

  * [warty] Remove pppoe.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  7 Sep 2004 18:13:06 +0100

debootstrap (0.2.39ubuntu11) warty; urgency=low

  * [warty] Add vim and vim-common to base.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  7 Sep 2004 02:54:45 +0100

debootstrap (0.2.39ubuntu10) warty; urgency=low

  * [functions] Mount /sys if possible.
  * [functions] Silence errors from umounts of /dev/pts, /dev/shm, and
    /proc/bus/usb.
  * [warty] Move libtext-iconv-perl, lsb-base, and zlib1g to required.

 -- Colin Watson <cjwatson@canonical.com>  Thu,  2 Sep 2004 19:45:59 +0100

debootstrap (0.2.39ubuntu9) warty; urgency=low

  * [warty] Replace ssh with openssh-client.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon, 23 Aug 2004 15:55:22 +0100

debootstrap (0.2.39ubuntu8) warty; urgency=low

  * [functions] Add progress support for 'dpkg --status-fd' output.
  * [warty] Improve granularity of the base system installation. Each
    package unpack or configure step now generates a progress bar update.

 -- Colin Watson <cjwatson@flatline.org.uk>  Fri, 20 Aug 2004 15:40:54 +0100

debootstrap (0.2.39ubuntu7) warty; urgency=low

  * [warty] Remove libperl5.8. Add pmac-fdisk on powerpc.

 -- Colin Watson <cjwatson@flatline.org.uk>  Thu, 19 Aug 2004 19:36:44 +0100

debootstrap (0.2.39ubuntu6) warty; urgency=low

  * [warty] Add lsb-base to base.

 -- Colin Watson <cjwatson@flatline.org.uk>  Tue, 17 Aug 2004 23:35:42 +0100

debootstrap (0.2.39ubuntu5) warty; urgency=low

  * [warty] Add hdparm to base.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon, 16 Aug 2004 02:19:08 +0100

debootstrap (0.2.39ubuntu4) warty; urgency=low

  * [required-base.py]: Add "only-required-" override type, for packages
    that are in required on one architecture and absent on others.
  * [warty] Add libc6-i686 to required.

 -- Colin Watson <cjwatson@flatline.org.uk>  Wed, 11 Aug 2004 12:41:51 +0100

debootstrap (0.2.39ubuntu3) warty; urgency=low

  * [warty] Add ifrename to base.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon,  2 Aug 2004 13:31:26 +0100

debootstrap (0.2.39ubuntu2) warty; urgency=low

  * [warty] Remove doc-debian.

 -- Colin Watson <cjwatson@flatline.org.uk>  Thu,  8 Jul 2004 17:33:40 +0100

debootstrap (0.2.39ubuntu1) warty; urgency=low

  * [required-base.py] New; fills in template scripts according to a list of
    base packages and a set of overrides.
  * [warty] New script to install Warty Warthog.

 -- Colin Watson <cjwatson@flatline.org.uk>  Wed, 16 Jun 2004 00:25:17 +0100

debootstrap (0.2.39) unstable; urgency=medium

  * [sarge,sid] Dropped libdb2. Thanks Matt Zimmerman. (Closes: #250813)
  * [sarge,sid] Dropped libident. Thanks LaMont Jones. (Closes: #251320)
  * [sarge,sid] Dropped slang1. Thanks LaMont Jones. (Closes: #251328)
  * [woody.buildd] Install libperl5.6. Thanks Rene Engelhard. (Closes: #251702)
  * [sarge.buildd] Install libc6.1 rather than libc6 on alpha. Thanks Rene
    Engelhard. (Closes: #251703)
  
  Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
  * Copy script for sarge to sid
  * Add handling for amd64 to sarge/sid scripts
  * Dropped gcc-3.2-base. (Closes: #250836)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  5 Jun 2004 10:02:50 +0200

debootstrap (0.2.38.1) unstable; urgency=low

  * NMU.
  * [sarge] Add libdb4.2 since apt-utils (0.5.25) depends on this.

 -- Otavio Salvador <otavio@debian.org>  Thu, 20 May 2004 22:18:41 -0300

debootstrap (0.2.38) unstable; urgency=medium



## debootstrap 0.2.45ubuntu27

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,14 @@
 ARCH := $(shell dpkg --print-architecture)
 setarchdevs = $(if $(findstring $(ARCH),$(1)),$(2))
 
-DEVS := generic hde hdf hdg hdh sde sdf sdg sdh scd-all initrd input usb md lp rtc \
+DEVS := generic hde hdf hdg hdh sde sdf sdg sdh scd-all initrd input usb md lp rtc video \
         $(call setarchdevs,i386,isdn-io eda edb sonycd mcd mcdx cdu535 \
                                 optcd sjcd cm206cd gscd lmscd sbpcd \
                                 aztcd bpcd dac960 ida fd0 fd1 ataraid cciss) \
         $(call setarchdevs,sparc,hdc hdd busmice) \
         $(call setarchdevs,m68k,fd0 fd1 adc add ade adf hdc hdd) \
-        $(call setarchdevs,powerpc,hdc hdd fd0 fd1 isdn-io m68k-mice)
+        $(call setarchdevs,powerpc,hdc hdd fd0 fd1 isdn-io m68k-mice) \
+        $(call setarchdevs,ia64,ida fd0 fd1 ataraid cciss)
 
 all: pkgdetails devices.tar.gz debootstrap-arch
 clean:
@@ -28,10 +29,12 @@
 	install -o root -g root -m 0644 sarge $(DSDIR)/scripts/
 	install -o root -g root -m 0644 sid $(DSDIR)/scripts/
 	install -o root -g root -m 0644 warty $(DSDIR)/scripts/
+	install -o root -g root -m 0644 hoary $(DSDIR)/scripts/
 	install -o root -g root -m 0644 woody.buildd $(DSDIR)/scripts/
 	install -o root -g root -m 0644 sarge.buildd $(DSDIR)/scripts/
 	install -o root -g root -m 0644 sid.buildd $(DSDIR)/scripts/
 	install -o root -g root -m 0644 warty.buildd $(DSDIR)/scripts/
+	install -o root -g root -m 0644 hoary.buildd $(DSDIR)/scripts/
 	install -o root -g root -m 0644 functions $(DSDIR)/
 	install -o root -g root -m 0755 pkgdetails $(DSDIR)/
 	install -o root -g root -m 0644 devices.tar.gz $(DSDIR)/
@@ -49,7 +52,7 @@
 	rm -rf dev
 
 	mkdir -p dev
-	chown 0.0 dev
+	chown 0:0 dev
 	chmod 755 dev
 
 	(cd dev && /dev/MAKEDEV $(DEVS))

=== debian/changelog ===
debootstrap (0.2.45ubuntu27) hoary; urgency=low

  * [hoary] Add memtest86+ on amd64.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  1 Apr 2005 15:06:26 +0100

debootstrap (0.2.45ubuntu26) hoary; urgency=low

  * [hoary] Add libsasl2-modules. Add lib64gcc1, libc6-sparc64, and strace
    on sparc.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Mar 2005 10:16:51 +0000

debootstrap (0.2.45ubuntu25) hoary; urgency=low

  * Merge from Debian, in a slightly unconventional way since 0.2.45-0.2 is
    a lower version number than 0.2.45ubuntu24:

    debootstrap (0.2.45-0.2) unstable; urgency=low

      * Non-maintainer upload.
      * [sarge, sid] Replace libparted1.6-0 with libparted1.6-12 for ia64,
        to keep up with the ABI changes for that package. (Closes: #295571)
      * [sarge, sid] include pciutils on hppa as well, per request of the
        hppa folks. (Closes: #283752)

     -- Steve Langasek <vorlon@debian.org>  Fri, 25 Feb 2005 22:23:30 -0800

    debootstrap (0.2.45-0.1) unstable; urgency=low

      * Non-maintainer upload.
      * [sarge, sid] Drop libgnutls10 and libgcrypt7, since they are no
        longer needed by exim4. (Closes: #278158).

     -- Steve Langasek <vorlon@debian.org>  Thu, 20 Jan 2005 21:20:22 -0800

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Mar 2005 17:22:34 +0000

debootstrap (0.2.45ubuntu24) hoary; urgency=low

  * Use gpgv --ignore-time-conflict to avoid validation errors due to clock
    problems.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Feb 2005 08:16:51 +0000

debootstrap (0.2.45ubuntu23) hoary; urgency=low

  * [hoary] Add lsb-release (closes: Ubuntu #2501).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Jan 2005 18:22:41 +0000

debootstrap (0.2.45ubuntu22) hoary; urgency=low

  * [hoary.buildd] Add pkgstriptranslations.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Jan 2005 18:39:37 +0000

debootstrap (0.2.45ubuntu21) hoary; urgency=low

  * Suppress untrue "Validating" messages.
  * Add --keyring option, allowing verification of Release.gpg against a
    given keyring.
  * [hoary] Remove dbus-1 and libexpat1. Remove libunwind7-dev from ia64; it
    depends on libc6.1-dev which isn't appropriate for required.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Jan 2005 17:45:47 +0000

debootstrap (0.2.45ubuntu20) hoary; urgency=low

  * [hoary] ia64 needs libunwind7, libunwind7-dev
  * ln -sf mawk instead of ln -s mawk

 -- LaMont Jones <lamont@ubuntu.com>  Sat, 15 Jan 2005 22:05:58 -0700

debootstrap (0.2.45ubuntu19) hoary; urgency=low

  * [hoary] libevms-2.4 -> libevms-2.5.

 -- Colin Watson <cjwatson@canonical.com>  Sun,  9 Jan 2005 19:10:08 +0000

debootstrap (0.2.45ubuntu18) hoary; urgency=low

  * [hoary] Add ethtool.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  8 Jan 2005 13:06:54 +0000

debootstrap (0.2.45ubuntu17) hoary; urgency=low

  * [hoary.buildd] Add python-minimal and python2.4-minimal.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  4 Jan 2005 23:12:10 +0000

debootstrap (0.2.45ubuntu16) hoary; urgency=low

  * [hoary] Remove libpcap0.7; add ubuntu-keyring.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 30 Dec 2004 16:48:14 +0000

debootstrap (0.2.45ubuntu15) hoary; urgency=low

  * [hoary] Move python-minimal and python2.4-minimal to required.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 23 Dec 2004 22:44:09 +0000

debootstrap (0.2.45ubuntu14) hoary; urgency=low

  * [hoary] Add python-minimal.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 21 Dec 2004 17:35:17 +0000

debootstrap (0.2.45ubuntu13) hoary; urgency=low

  * [hoary] Add python2.4-minimal.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 21 Dec 2004 10:59:55 +0000

debootstrap (0.2.45ubuntu12) hoary; urgency=low

  * [hoary] python2.3 -> python2.4.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 16 Dec 2004 12:48:32 +0100

debootstrap (0.2.45ubuntu11) hoary; urgency=low

  * [hoary] Add sparc support, without strace for now.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 15 Dec 2004 12:12:48 +0100

debootstrap (0.2.45ubuntu10) hoary; urgency=low

  * [hoary] Add ia64 support: libc6.1 rather than libc6, no libelfg0, no
    ltrace.
  * LaMont Jones:
    - [hoary.buildd] Add passwd to required, as bash depends on it.
    - [hoary.buildd] Add ia64 support.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  7 Dec 2004 18:16:43 +0100

debootstrap (0.2.45ubuntu9) hoary; urgency=low

  * [hoary] libparted1.6-0 -> libparted1.6-12.

 -- Colin Watson <cjwatson@canonical.com>  Thu,  2 Dec 2004 10:53:19 +0000

debootstrap (0.2.45ubuntu8) hoary; urgency=low

  * [hoary] Add grepmap.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 30 Nov 2004 09:24:10 +0000

debootstrap (0.2.45ubuntu7) hoary; urgency=low

  * [hoary] Remove libatm1.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 23 Nov 2004 10:23:42 +0000

debootstrap (0.2.45ubuntu6) hoary; urgency=low

  * [hoary] Remove libreadline5.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 17 Nov 2004 13:28:03 +0000

debootstrap (0.2.45ubuntu5) hoary; urgency=low

  * [hoary] Remove libreadline-common.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 15 Nov 2004 09:51:20 +0000

debootstrap (0.2.45ubuntu4) hoary; urgency=low

  * [hoary] Take module-init-tools back out of required, as this didn't work
    with the way it uses diversions.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 10 Nov 2004 16:21:34 +0000

debootstrap (0.2.45ubuntu3) hoary; urgency=low

  * [hoary] Remove modutils. Move module-init-tools to required.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  9 Nov 2004 23:17:58 +0000

debootstrap (0.2.45ubuntu2) hoary; urgency=low

  * [hoary] Add libelfg0; libevms-2.3 -> libevms-2.4; libgcrypt7 ->
    libgcrypt11; libgnutls10 -> libgnutls11; add libreadline-common; add
    libreadline5.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  2 Nov 2004 23:47:39 +0000

debootstrap (0.2.45ubuntu1) hoary; urgency=low

  * Merge from Debian.


## debootstrap 0.2.45-0.2

=== Makefile ===
--- 
+++ 
@@ -28,13 +28,9 @@
 	install -o root -g root -m 0644 woody $(DSDIR)/scripts/
 	install -o root -g root -m 0644 sarge $(DSDIR)/scripts/
 	install -o root -g root -m 0644 sid $(DSDIR)/scripts/
-	install -o root -g root -m 0644 warty $(DSDIR)/scripts/
-	install -o root -g root -m 0644 hoary $(DSDIR)/scripts/
 	install -o root -g root -m 0644 woody.buildd $(DSDIR)/scripts/
 	install -o root -g root -m 0644 sarge.buildd $(DSDIR)/scripts/
 	install -o root -g root -m 0644 sid.buildd $(DSDIR)/scripts/
-	install -o root -g root -m 0644 warty.buildd $(DSDIR)/scripts/
-	install -o root -g root -m 0644 hoary.buildd $(DSDIR)/scripts/
 	install -o root -g root -m 0644 functions $(DSDIR)/
 	install -o root -g root -m 0755 pkgdetails $(DSDIR)/
 	install -o root -g root -m 0644 devices.tar.gz $(DSDIR)/

=== debian/changelog ===
debootstrap (0.2.45-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * [sarge, sid] Replace libparted1.6-0 with libparted1.6-12 for ia64,
    to keep up with the ABI changes for that package. (Closes: #295571)
  * [sarge, sid] include pciutils on hppa as well, per request of the
    hppa folks. (Closes: #283752)

 -- Steve Langasek <vorlon@debian.org>  Fri, 25 Feb 2005 22:23:30 -0800

debootstrap (0.2.45-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * [sarge, sid] Drop libgnutls10 and libgcrypt7, since they are no
    longer needed by exim4. (Closes: #278158).

 -- Steve Langasek <vorlon@debian.org>  Thu, 20 Jan 2005 21:20:22 -0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: debootstrap
 Section: admin
-Priority: extra
+Priority: required
 Maintainer: Anthony Towns <ajt@debian.org>
-Build-Depends: debhelper (>> 2.0.0), makedev (>= 2.3.1-58)
-Standards-Version: 3.2.1
+Uploaders: J.H.M. Dassen (Ray) <jdassen@debian.org>
+Build-Depends: debhelper (>> 2.0.0), makedev (>= 2.3.1-69)
+Standards-Version: 3.6.1
 
 Package: debootstrap
+Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, wget, binutils
 Description: Bootstrap a basic Debian system
@@ -15,9 +17,10 @@
  into a directory which can eventually be chrooted into.
 
 Package: debootstrap-udeb
+Priority: required
 Section: debian-installer
 Architecture: any
-Depends: ${shlibs:Depends}, mounted-partitions, retriever
+Depends: ${shlibs:Depends}, mounted-partitions
 Description: Bootstrap the Debian system
  debootstrap is used to create a Debian base system from scratch,
  without requiring the availability of dpkg or apt. It does this by

=== debian/rules ===
--- 
+++ 
@@ -97,15 +97,16 @@
 	dh_testdir
 	dh_testroot
 	-rm -rf debian/debootstrap-udeb/usr/share \
-		debian/debootstrap-udeb/scripts/slink \
-		debian/debootstrap-udeb/scripts/potato
+		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/slink \
+		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/potato \
+		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/*.buildd
 	dh_strip -pdebootstrap-udeb
 	dh_compress -pdebootstrap-udeb
 	dh_fixperms -pdebootstrap-udeb
 	dh_installdeb -pdebootstrap-udeb
 	dh_shlibdeps -pdebootstrap-udeb
 	dh_gencontrol -- -fdebian/debootstrap-udeb.files~
-	dpkg-distaddfile $(FILENAME) debian-installer extra
+	dpkg-distaddfile $(FILENAME) debian-installer required
 	dh_md5sums -pdebootstrap-udeb
 	dh_builddeb -pdebootstrap-udeb --filename=$(FILENAME)

## debootstrap 0.3.1.6ubuntu1

=== Makefile ===
--- 
+++ 
@@ -13,9 +13,10 @@
         $(call setarchdevs,powerpc,hdc hdd fd0 fd1 isdn-io m68k-mice) \
         $(call setarchdevs,ia64,ida fd0 fd1 ataraid cciss)
 
-all: pkgdetails devices.tar.gz debootstrap-arch
+all: pkgdetails devices-std.tar.gz devices.tar.gz debootstrap-arch
 clean:
-	rm -f pkgdetails pkgdetails.o devices.tar.gz debootstrap-arch
+	rm -f pkgdetails pkgdetails.o devices-std.tar.gz devices.tar.gz
+	rm -f debootstrap-arch
 	rm -rf dev
 
 DSDIR=$(DESTDIR)/usr/lib/debootstrap
@@ -23,26 +24,47 @@
 	mkdir -p $(DSDIR)/scripts
 	mkdir -p $(DESTDIR)/usr/sbin
 	mkdir -p $(DESTDIR)/usr/share/man/man8
-	install -o root -g root -m 0644 slink $(DSDIR)/scripts/
 	install -o root -g root -m 0644 potato $(DSDIR)/scripts/
 	install -o root -g root -m 0644 woody $(DSDIR)/scripts/
+	install -o root -g root -m 0644 woody.buildd $(DSDIR)/scripts/
 	install -o root -g root -m 0644 sarge $(DSDIR)/scripts/
+	install -o root -g root -m 0644 sarge.buildd $(DSDIR)/scripts/
+	install -o root -g root -m 0644 sarge.fakechroot $(DSDIR)/scripts/
+	install -o root -g root -m 0644 etch $(DSDIR)/scripts/
 	install -o root -g root -m 0644 sid $(DSDIR)/scripts/
-	install -o root -g root -m 0644 woody.buildd $(DSDIR)/scripts/
-	install -o root -g root -m 0644 sarge.buildd $(DSDIR)/scripts/
-	install -o root -g root -m 0644 sid.buildd $(DSDIR)/scripts/
+	install -o root -g root -m 0644 warty $(DSDIR)/scripts/
+	install -o root -g root -m 0644 warty.buildd $(DSDIR)/scripts/
+	install -o root -g root -m 0644 hoary $(DSDIR)/scripts/
+	install -o root -g root -m 0644 hoary.buildd $(DSDIR)/scripts/
+	install -o root -g root -m 0644 breezy $(DSDIR)/scripts/
 	install -o root -g root -m 0644 functions $(DSDIR)/
+
+	install -o root -g root -m 0755 debootstrap.8 $(DESTDIR)/usr/share/man/man8/
+	install -o root -g root -m 0755 debootstrap $(DESTDIR)/usr/sbin/
+
+install-allarch: install
+	install -o root -g root -m 0644 devices-std.tar.gz \
+		$(DSDIR)/devices.tar.gz
+
+install-arch: install
 	install -o root -g root -m 0755 pkgdetails $(DSDIR)/
 	install -o root -g root -m 0644 devices.tar.gz $(DSDIR)/
 	install -o root -g root -m 0644 debootstrap-arch $(DSDIR)/arch
-	install -o root -g root -m 0755 debootstrap.8 $(DESTDIR)/usr/share/man/man8/
-	install -o root -g root -m 0755 debootstrap $(DESTDIR)/usr/sbin/
 
 pkgdetails: pkgdetails.o
 	$(CC) -o $@ $^
 
 debootstrap-arch:
 	echo $(ARCH) >debootstrap-arch
+
+devices-std.tar.gz:
+	rm -rf dev
+	mkdir -p dev
+	chown 0:0 dev
+	chmod 755 dev
+	(cd dev && /dev/MAKEDEV std)
+	tar cf - dev | gzip -9 >devices-std.tar.gz
+	rm -rf dev
 
 devices.tar.gz:
 	rm -rf dev
@@ -74,3 +96,4 @@
 
 	tar cf - dev | gzip -9 >devices.tar.gz
 	rm -rf dev
+

=== debian/changelog ===
debootstrap (0.3.1.6ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * [breezy] Fix use of additions in buildd variant.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Sep 2005 09:52:25 +0100

debootstrap (0.3.1.6) unstable; urgency=low

  * NMU.
  * Patch from Colin to redirect status messages to stderr when running
    --print-debs. Closes: #315875
  * Restore logging to stderr in debian-installer mode. Closes: #314160

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Sep 2005 15:27:14 -0400

debootstrap (0.3.1.5ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Sep 2005 14:17:53 +0100

debootstrap (0.3.1.5) unstable; urgency=low

  * NMU.
  * Fixed "--variant=buildd option does not work" for pbuilder,
    closes: #314858. Patch by Matt Kraai <kraai@ftbfs.org>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 13 Aug 2005 15:38:54 +1000

debootstrap (0.3.1.4ubuntu4) breezy; urgency=low

  * [breezy] Add libc6-sparc64 for buildd variant on sparc.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Jul 2005 10:52:39 +0100

debootstrap (0.3.1.4ubuntu3) breezy; urgency=low

  * [breezy] Add gcc-4.0-base for buildd variant. (Tested this time.)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Jul 2005 18:44:59 +0100

debootstrap (0.3.1.4ubuntu2) breezy; urgency=low

  * [breezy] Add libstdc++6 for buildd variant.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Jul 2005 18:04:17 +0100

debootstrap (0.3.1.4ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Jun 2005 19:28:18 +0100

debootstrap (0.3.1.4) unstable; urgency=low

  * NMU.
  * Wrap eval statement in exit_function in parens, working around
    bug #315444 in busybox sh. Closes: #314373

 -- Joey Hess <joeyh@debian.org>  Sun, 26 Jun 2005 23:35:20 -0400

debootstrap (0.3.1.3ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * [breezy] Determine the base system dynamically. The buildd variant base
    is still hardcoded.
  * Send progress output to stderr rather than stdout when doing
    --print-debs (Debian #315875).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Jun 2005 12:01:45 +0100

debootstrap (0.3.1.3) unstable; urgency=low

  * NMU.
  * Updated fakechroot's ldd. Now it works on 64-bit architectures.
    Closes: #315044.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 20 Jun 2005 10:17:04 +0200

debootstrap (0.3.1.2) unstable; urgency=low

  * NMU.
  * Fix incorrect use of "$@" in local. Closes: #314157, #314547
  * Fix fd redirection in download progress code. See #314373
  * Remove md5sums file from udeb. Closes: #314378
  * Fix debian-installer mode warning code. Closes: #314340

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Jun 2005 11:45:24 -0400

debootstrap (0.3.1.1) unstable; urgency=low

  * NMU.
  * Added fakechroot variant. Closes: #204652.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 16 Jun 2005 11:20:15 +0200

debootstrap (0.3.1) unstable; urgency=low

  * sid script updated:
    - Determine base dynamically (Priority: required for required packages,
      Priority: important for base packages, Build-Essential: yes for buildd
      variant base). (Closes: Bug#88984, Bug#193134)
    - Use fine grained dpkg progress display, thanks again to Colin Watson.
      (Closes: Bug#229314, Bug#231109, Bug#244563)

  * dpkg output (etc) goes to /var/log/bootstrap.log in the target, rather
    than stdout. This is probably difficult for frontends to capture
    at present.

  * Parsing of Packages file sped up. (Yay!)

  * debootstrap.deb now arch: all (Closes: Bug#122465, Bug#131552)
    - perl implementation of pkgdetails used by preference
    - devices.tar.gz reduced to minimal set of devices; frontends should
      setup udev or supply their own devices or similar in future
    - /usr/lib/debootstrap/arch not shipped
    - none of the above applies to udebs yet; though the devices.tar.gz
      change will eventually

  * Support for verifying based on Release.gpg files (--keyring). Thanks
    to Colin Watson. (Closes: Bug#313383)

 -- Anthony Towns <aj@azure.humbug.org.au>  Tue, 14 Jun 2005 00:22:55 +1000

debootstrap (0.3.0) unstable; urgency=low

  * The Gernot Heiser release, dedicated to everyone who drinks enough to
    lose their better judgement, and those of us who didn't have any in
    the first place.

  * Major update. New features:
    + Use $TARGET/debootstrap directory for state info
      (--keep-debootstrap-dir)
    + Support for cross-strapping (--foreign / --second-stage)
      (Closes: Bug#202529)
    + Support for resolving dependencies (--resolve-deps)
    + Support for Debian etch, and Ubuntu warty and hoary (Closes: Bug#312417)
    + Support for handling variants within the main suite script
    + Support for other versions of base packages in /v/c/apt/archives
    + Initial support for fine-grained dpkg progress display, thanks to
      Colin Watson (currently only for warty and hoary)
    + Initial support for determining base system dynamically.
    + No longer display "debootstrap.invalid" when working with
      Release/Packages files. (Closes: Bug#241795, Bug#256255)
    + Ignores failures for on_exit cleanup commands. (Closes: Bug#253387,
      Bug#253468, Bug#308774)
    + Early reporting of unavailable packages.
    + More efficient parsing of Packages files.
    + Generalised additions and exclusions. (Closes: Bug#191793)
    + Handles symlinked configuration files in /etc a little better.
      (Closes: Bug#161987, Bug#252907, Bug#272257)

  * Dropped support for slink.

  * Use ln -fs for mawk/awk link. (Closes: Bug#248398, Bug#258524)

  * Dropped mail-transport-agent, and hence mailx and at from sid/etch base.
    (Closes: Bug#168473)
  * Dropped ipchains for i386 (Closes: Bug#266119)
  * Other minor changes to meet dependencies, also. (Closes: Bug#312701)

  * Minor manpage fixes. (Closes: Bug#285777)


=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: debootstrap
 Section: admin
-Priority: required
 Maintainer: Anthony Towns <ajt@debian.org>
 Uploaders: J.H.M. Dassen (Ray) <jdassen@debian.org>
 Build-Depends: debhelper (>> 2.0.0), makedev (>= 2.3.1-69)
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: debootstrap
 Priority: extra
-Architecture: any
-Depends: ${shlibs:Depends}, wget, binutils
+Architecture: all
+Depends: wget, binutils
 Description: Bootstrap a basic Debian system
  debootstrap is used to create a Debian base system from scratch,
  without requiring the availability of dpkg or apt. It does this by

=== debian/rules ===
--- 
+++ 
@@ -39,8 +39,8 @@
 	dh_installdirs
 
 #	 install the package into debian/debootstrap
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap-udeb
+	$(MAKE) install-allarch DESTDIR=$(CURDIR)/debian/debootstrap
+	$(MAKE) install-arch    DESTDIR=$(CURDIR)/debian/debootstrap-udeb
 
 binary-indep: install
 # We have nothing to do by default.
@@ -97,9 +97,8 @@
 	dh_testdir
 	dh_testroot
 	-rm -rf debian/debootstrap-udeb/usr/share \
-		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/slink \
 		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/potato \
-		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/*.buildd
+		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/*.*
 	dh_strip -pdebootstrap-udeb
 	dh_compress -pdebootstrap-udeb
 	dh_fixperms -pdebootstrap-udeb
@@ -107,7 +106,6 @@
 	dh_shlibdeps -pdebootstrap-udeb
 	dh_gencontrol -- -fdebian/debootstrap-udeb.files~
 	dpkg-distaddfile $(FILENAME) debian-installer required
-	dh_md5sums -pdebootstrap-udeb
 	dh_builddeb -pdebootstrap-udeb --filename=$(FILENAME) 
 
 binary: binary-indep binary-arch

## debootstrap 0.3.3~bpo.1

=== _darcs/current/debian/changelog ===
debootstrap (0.3.3) unstable; urgency=low

  * Include kFreeBSD and fakechroot support from 0.3.2.1 and 0.3.2.2 NMUs,
    thanks to Otavio Salvador and Piotr Roszatycki. (Closes: Bug#319100,
    Bug#328446, Bug#204652, Bug#315044, Bug#Bug#319799)

  * Require target to be specified in all cases; document usage of target
    for --print-debs. (Closes: Bug#335922, Bug#337230)

  * Use ln -sf when symlinking awk for woody and sarge. (Closes: Bug#299048)

 -- Anthony Towns <aj@cyan.localnet>  Sun,  6 Nov 2005 04:12:39 +1000

debootstrap (0.3.2.2) unstable; urgency=low

  * NMU
  * Added relicensed fakechroot variant. Closes: #204652.

 -- Piotr Roszatycki <dexter@debian.org>  Sat, 29 Oct 2005 11:29:00 +0200

debootstrap (0.3.2.1) unstable; urgency=low

  * NMU with maintainer approval
  * Applied patch from Robert Millan <rmh@aybabtu.com> to add support to
    Debian GNU/kFreeBSD. Closes: #319799

 -- Otavio Salvador <otavio@debian.org>  Fri, 28 Oct 2005 16:14:57 -0200

debootstrap (0.3.2) unstable; urgency=low

  * Revert fakechroot NMUs (0.3.1.1, 0.3.1.3, 0.3.1.7) due to incompatible
    license requirements (GPL) (Reopens: Bug#204652)

  * Changes from 0.3.1.2 NMU, thanks to Joey Hess: (Closes: Bug#314810)
    + Fix incorrect use of "$@" in local. Closes: #314157, #314547
    + Fix fd redirection in download progress code. See #314373
    + Remove md5sums file from udeb. Closes: #314378
    + Fix debian-installer mode warning code. Closes: #314340

  * Changes from 0.3.1.4 NMU, thanks to Joey Hess:
    + Wrap eval statement in exit_function in parens, working around
      bug #315444 in busybox sh. Closes: #314373

  * Changes from 0.3.1.5 NMU, thanks to Anibal Monsalve Salazar:
    + Fixed "--variant=buildd option does not work" for pbuilder,
      closes: #314858. Patch by Matt Kraai <kraai@ftbfs.org>.

  * Changes from 0.3.1.6 NMU, thanks to Joey Hess:
    + Patch from Colin to redirect status messages to stderr when running
      --print-debs. Closes: #315875
    + Restore logging to stderr in debian-installer mode. Closes: #314160

  * Changes from 0.3.1.8 NMU, thanks to Petter Reinholdtsen:
    + [functions] Mount /sys if it exist and is supported by the kernel.
      Patch from Cajus Pollmeier, Colin Watson and Ubuntu. (Closes: #289105)
    + [debootstrap] Document --resolve-deps in usage info. (Closes: #328161)
    + [etch] Replace libsigc++-1.2-5c102 with libsigc++-1.2-5c2. (Closes: #334506)
    + [etch] Remove pppoe from base, and only install
      ipchains on m68k.  Patch from Sven Luther. (Closes: #239390)
    + [sarge] Remove duplicate entries for m68k and amd64.  Patch from
      Frans Pop. (Workaround for bug #319777)
    + [etch] Add support for ppc64.  The patch for 'sid' did no longer
      apply.  Patch from Andreas Jochens. (Closes: #313353)
    + [sarge,etch,sid] Set DEBCONF_NONINTERACTIVE_SEEN=true during build, to
      avoid questions during upgrade. (Closes: #238301)
    + Add script for breezy.  Patch from Colin Watson. (Closes: #315940)

  * Changes from 0.3.1.9 NMU, thanks to Joey Hess:
    + Replace the etch script with a copy of the sid script, which pulls in
      gnupg, so the installed etch system has a usable apt. Closes: #334521

  * Create /dev/ptmx in minimal devices tarball. (Closes: Bug#317072)

  * Don't create empty available files, since old dpkg and new kernels can't
    deal with them. (Closes: Bug#308169, Bug#329468)

  * Bump Standards-Version. Bump debhelper compatability level to 4.
  * Cleanup debian/rules, thanks to Joey Hess. (Closes: Bug#314863)

  * Emit error message if no pkgdetails is available. (Closes: Bug#326831)

  * Turn on --resolve-deps by default. Add --no-resolve-deps as an option.
    Combined with the previous changes to make the etch script dynamically
    determine base, this should resolve all the "can't install <foo>"
    bugs. (Closes: Bug#280210, Bug#308361, Bug#318281, Bug#323362,
    Bug#318254, Bug#313292, Bug#334683, Bug#248578, Bug#289635)

  * md5sum doesn't exist when coreutils is unpacked but not configured;
    cp it across so it's available for --second-stage. (Closes: Bug#329394)

  * Catch failures in "dpkg --status-fd" (Closes: Bug#317447, Bug#323661)

  * Make "without" work right for duplicates (Closes: Bug#316884,
    Bug#319777)

  * Simplify and correct file descriptor handling and debootstrap.log
    behaviour.

  * Delete $TARGET with --print-debs and --make-tarball. (Closes: Bug#328369)

  * Add a --make-tarball option. (Closes: Bug#152845)

  * Create a default sources.list for apt. (Closes: Bug#283234, Bug#315225)

  * Update manpage to talk about woody instead of sarge. (Closes: Bug#315862)

  * Use partial/ directory when downloading. (Closes: Bug#109176)

 -- Anthony Towns <aj@azure.humbug.org.au>  Sun, 23 Oct 2005 14:49:08 +1000

=== debian/changelog ===
debootstrap (0.3.3~bpo.1) sarge-backports; urgency=low

  * Rebuild for Debian Backports <http://www.backports.org/>.

 -- Daniel Baumann <daniel@debian.org>  Tue, 19 Sep 2006 01:45:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: debootstrap
 Section: admin
 Maintainer: Anthony Towns <ajt@debian.org>
-Uploaders: J.H.M. Dassen (Ray) <jdassen@debian.org>
-Build-Depends: debhelper (>> 2.0.0), makedev (>= 2.3.1-69)
+Uploaders: J.H.M. Dassen (Ray) <jdassen@debian.org>, Daniel Baumann <daniel@debian.org>
+Build-Depends: debhelper (>= 4.2), makedev (>= 2.3.1-69)
 Standards-Version: 3.6.2
 
 Package: debootstrap
@@ -18,6 +18,7 @@
 Package: debootstrap-udeb
 Priority: required
 Section: debian-installer
+XC-Package-Type: udeb
 Architecture: any
 Depends: ${shlibs:Depends}, mounted-partitions
 Description: Bootstrap the Debian system
